Skip to main content
GET
/
segmentation
/
segments
/
list
List segments
curl --request GET \
  --url https://api.getcargo.io/v1/segmentation/segments/list \
  --header 'Authorization: Bearer <token>'
{
  "segments": [
    {
      "uuid": "<string>",
      "workspaceUuid": "<string>",
      "userUuid": "<string>",
      "modelUuid": "<string>",
      "slug": "<string>",
      "name": "<string>",
      "filter": {
        "conjonction": "or",
        "groups": [
          {
            "conjonction": "or",
            "conditions": [
              {
                "kind": "<string>",
                "name": "<string>",
                "clause": "<string>"
              }
            ]
          }
        ]
      },
      "sort": [
        {
          "columnSlug": "<string>",
          "kind": "asc"
        }
      ],
      "limit": 123,
      "recordsCount": 123,
      "fromPlay": true,
      "trackingColumnSlugs": [
        "<string>"
      ],
      "syncedAt": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "deletedAt": "<string>",
      "lastChange": {
        "uuid": "<string>",
        "slug": "<string>",
        "totalRecordsCount": 123,
        "updatedRecordsCount": 123,
        "removedRecordsCount": 123,
        "addedRecordsCount": 123,
        "unchangedRecordsCount": 123,
        "createdAt": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

modelUuid
string<uuid>

Filter segments by model identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$

Response

Successful response

segments
Segments · object[]
required

List of segments.